> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/reference/sql-commands/alter-operator-class.md).

# ALTER OPERATOR CLASS

## ALTER OPERATOR CLASS

ALTER OPERATOR CLASS — change the definition of an operator class

### Synopsis

```

ALTER OPERATOR CLASS name USING index_method
    RENAME TO new_name

ALTER OPERATOR CLASS name USING index_method
    OWNER TO { new_owner | CURRENT_ROLE | CURRENT_USER | SESSION_USER }

ALTER OPERATOR CLASS name USING index_method
    SET SCHEMA new_schema
```

### Description

`ALTER OPERATOR CLASS` changes the definition of an operator class.

You must own the operator class to use `ALTER OPERATOR CLASS`. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have `CREATE` privilege on the operator class's schema. (These restrictions enforce that altering the owner doesn't do anything you couldn't do by dropping and recreating the operator class. However, a superuser can alter ownership of any operator class anyway.)

### Parameters

*`name`*

The name (optionally schema-qualified) of an existing operator class.

*`index_method`*

The name of the index method this operator class is for.

*`new_name`*

The new name of the operator class.

*`new_owner`*

The new owner of the operator class.

*`new_schema`*

The new schema for the operator class.

### Compatibility

There is no `ALTER OPERATOR CLASS` statement in the SQL standard.

### See Also

[CREATE OPERATOR CLASS](/15/reference/sql-commands/create-operator-class.md), [DROP OPERATOR CLASS](/15/reference/sql-commands/drop-operator-class.md), [ALTER OPERATOR FAMILY](/15/reference/sql-commands/alter-operator-family.md)

***

原文：[PostgreSQL 15.19 Documentation](/15/reference/sql-commands/alter-operator-class.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/reference/sql-commands/alter-operator-class.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
